Bug 278011 - Phonon Backend webpages open multiple times on click
Summary: Phonon Backend webpages open multiple times on click
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_phonon (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Harald Sitter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-18 13:03 UTC by Kai Uwe Broulik
Modified: 2012-12-06 09:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2011-07-18 13:03:34 UTC
Version:           unspecified (using KDE 4.6.4) 
OS:                Linux

In Phonon’s Backend settings there is an info box stating the version, name, icon and webpage of the respective backend.
Clicking this link opens this webpage 5 times

Reproducible: Always

Steps to Reproduce:
1. Go to System Settings → Multimedia → Phonon → Backend
2. Click on one Backend
3. Click the link in the info box below

Actual Results:  
The webpage is opened 5 times (5 flashing browser entries in the taskbar resulting in 5 new tabs in Chromium)

Expected Results:  
The webpage is opened once

It is no MouseDown/MouseUp/Click issue, so if you click and hold, you are not spammed with browser windows but releasing the mouse button then triggers 5 browser windows.
Comment 1 Jekyll Wu 2012-12-06 09:08:58 UTC
Git commit bd53848bfb8b745a42cac34bcf29b57f17fc9108 by Jekyll Wu.
Committed on 06/12/2012 at 07:29.
Pushed by jekyllwu into branch 'master'.

Avoid opening the backend website multiple times
FIXED-IN: 4.10.0

M  +1    -1    phonon/kcm/backendselection.cpp

http://commits.kde.org/kde-runtime/bd53848bfb8b745a42cac34bcf29b57f17fc9108